You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
27 lines
878 B
27 lines
878 B
From 77f46adf5e5ab1f6da2e459bb55435d4b70842c5 Mon Sep 17 00:00:00 2001 |
|
From: Harald Hoyer <harald@redhat.com> |
|
Date: Wed, 19 Aug 2015 13:59:40 +0200 |
|
Subject: [PATCH] network/ifup.sh:do_static(): error out, if interface could |
|
not be brought up |
|
|
|
--- |
|
modules.d/40network/ifup.sh | 6 +++++- |
|
1 file changed, 5 insertions(+), 1 deletion(-) |
|
|
|
diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh |
|
index 8a5a6065..1ee89bf4 100755 |
|
--- a/modules.d/40network/ifup.sh |
|
+++ b/modules.d/40network/ifup.sh |
|
@@ -155,7 +155,11 @@ do_ipv6auto() { |
|
do_static() { |
|
strstr $ip '*:*:*' && load_ipv6 |
|
|
|
- linkup $netif |
|
+ if ! linkup $netif; then |
|
+ warn "Could bring interface $netif up!" |
|
+ return 1 |
|
+ fi |
|
+ |
|
[ -n "$macaddr" ] && ip link set address $macaddr dev $netif |
|
[ -n "$mtu" ] && ip link set mtu $mtu dev $netif |
|
if strstr $ip '*:*:*'; then
|
|
|